Skip to content

License

The License resource allows you to obtain an authorization token, which in turn gives you access to Member-only endpoints of SecureSuite Member API.

Info

A SecureSuite Membership is required to get a license.


Verify License

POST /license
Verify your SecureSuite license.

Request

The request body must include the SecureSuite Member's license information.

Request Body Parameters

Tip

Instead of writing out your license information, copy all of the contents of your license.xml and paste them to the request body. Refer to Get License Key and Authorization Token to learn how to get the license.xml.

version
integer
The version number of the SecureSuite license.
uuid
string
The universally unique identifier that distinguishes the SecureSuite license from others.
creation_date
string
The creation date of the SecureSuite license.
expiration_date
string
The expiration date of the SecureSuite license.
license_key
string
The authorization credential for the SecureSuite license.

Response

The response from the license verification endpoint will, upon successful verification, provide the receiver with an authorization token that can be used in subsequent Member-only requests.

Note

The expiration time on the token is 20 minutes. Members can reacquire a new token at any time.

Properties

Media type: application/json

token
string
The token that can be utilized for authenticated interactions with the API. The expiration time on the token is 20 minutes. Members can reacquire a new token at any time.

Example

Request - cURL
curl -X POST ^
  -H "Content-Type: application/xml" ^
  --data-binary @license.xml ^
  "https://workbench.cisecurity.org/api/vendor/v1/license"
Response - 200 OK
{
    "token": "1234|7b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748"
}

Tip

To verify the token, use the /token endpoint.